/**
* DO NOT EDIT THIS FILE.
* See the following change record for more information,
* https://www.drupal.org/node/2815083
* @preserve
**/

(function ($, Drupal, once) {
  Drupal.behaviors.announce = {
    attach: function attach(context) {
      var announcement = once('announce-new', '.announce-new', context).shift();

      if (announcement) {
        announcement.addEventListener('click', function (e) {
          e.currentTarget.classList.remove('announce-new');
        });
      }
    }
  };
  $(window).on('dialog:aftercreate', function (event, dialog, $element, settings) {
    if (settings.announce) {
      $('[data-drupal-announce-trigger]').off('click').on('click.announce', function (e) {
        e.preventDefault();
        e.stopPropagation();

        if (dialog.open) {
          $('.announce-dialog .announce-close').trigger('click');
        } else {
          dialog.show();
        }
      });
      $('.announce-dialog .announce-close').on('click', function () {
        $('[data-drupal-announce-trigger]').trigger('click');
        dialog.open = false;
      });
    }
  });
})(jQuery, Drupal, once);